export class Properties {
    private static productionMode=false;
    private static loginUrl ="http://mpagasas.di.uoa.gr:8080/dnet-openaire-users-1.0.0-SNAPSHOT/openid_connect_login";
    private static loginUrl_pm ="https://beta.services.openaire.eu/uoa-user-management/openid_connect_login";

    private static logoutUrl ="https://aai.openminted.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=";
    private static logoutUrl_pm ="https://aai.openminted.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=";
    public static getLoginURL():string{
      if(this.productionMode){
        return this.loginUrl_pm;
      }else{
        return this.loginUrl;
      }
    }
    public static getLogoutURL():string{
      if(this.productionMode){
        return this.logoutUrl_pm;
      }else{
        return this.logoutUrl;
      }
    }
  }
